#ifndef WINDOW_H
#define WINDOW_H

#include <QCheckBox>
#include <QtnGrid.h>
#include <QtnGridTableView.h>
#include "pieview.h"

#include "demomainwindow.h"

class Window : public DemoMainWindow
{
    Q_OBJECT

public:
    Window();
    Qtitan::Grid* m_grid;
    QCheckBox* m_autoWidthCheck;
    QCheckBox* m_fastScrollCheck;
private slots:
    void autoWidthStateChanged(int state);
    void fastScrollChanged(int state);
};


class GridChartColumnEditor: public Qtitan::GridTableColumnEditor
{
public:
    GridChartColumnEditor();
    virtual QWidget* createEditorWidget(Qtitan::GridTableColumnBase* column);
private:
    void loadModel(const QString &path);
    QAbstractItemModel* m_model;
    QItemSelectionModel *m_selectionModel;
};

class ColumnEditorDemoModel: public QAbstractItemModel 
{    
    Q_OBJECT
public:   
    ColumnEditorDemoModel(QObject *parent = 0);
    virtual QVariant headerData(int section, Qt::Orientation orientation,
        int role = Qt::DisplayRole) const;
    virtual QModelIndex parent(const QModelIndex &child) const;  
    virtual bool hasChildren(const QModelIndex &parent) const;   
    virtual int rowCount(const QModelIndex &parent = QModelIndex()) const;  
    virtual int columnCount(const QModelIndex &parent = QModelIndex()) const;   
    virtual QModelIndex index(int row, int column, const QModelIndex &parent = QModelIndex()) const;
    virtual QVariant data(const QModelIndex &index, int role = Qt::DisplayRole) const;
    virtual Qt::ItemFlags flags(const QModelIndex &index) const;
private:
};


#endif
