
#include <QtGui>
#include <QDirModel>
#include <QtSql>
#include <QtitanGrid.h>

#include "window.h"


Window::Window()
: DemoMainWindow("QtitanDataGrid")
{
    setWindowTitle(tr("Qtitan grid demo (Relation mode demo)"));
    setGeometry(250, 250, 450, 250);

    m_grid = new Qtitan::Grid(this);

    QSqlTableModel* model = new QSqlTableModel(m_grid);
    model->setTable("employee");
    model->select();
    model->setEditStrategy(QSqlTableModel::OnFieldChange);

    // Configure grid view
    m_grid->setViewType(Qtitan::Grid::TableView);
    Qtitan::GridTableView* view = m_grid->view<Qtitan::GridTableView>();
    view->setModel(model);

    QSqlTableModel* city = new QSqlTableModel(m_grid);
    city->setTable("city");
    city->select();

    QSqlTableModel* country = new QSqlTableModel(m_grid);
    country->setTable("country");
    country->select();

    Qtitan::GridTableColumn* column = (Qtitan::GridTableColumn *)view->getColumnByCaption("city");
    column->setEditorType(Qtitan::ComboBoxEditorType);
    column->dataBinding()->setRelationMode(ModelDataBinding::Relation);
    column->dataBinding()->setRelationModel(city);
    column->dataBinding()->setForeignKey("id");
    column->dataBinding()->setRoleMapping(Qt::DisplayRole, "name");

    column = (Qtitan::GridTableColumn *)view->getColumnByCaption("country");
    column->setEditorType(Qtitan::ComboBoxEditorType);
    column->dataBinding()->setRelationMode(ModelDataBinding::Relation);
    column->dataBinding()->setRelationModel(country);
    column->dataBinding()->setForeignKey("id");
    column->dataBinding()->setRoleMapping(Qt::DisplayRole, "name");

    setDemoWidget(m_grid, 0);
}

