#ifndef WINDOW_H
#define WINDOW_H

#include <QCheckBox>
#include <QDateTime>
#include <QtnGrid.h>
#include "demomainwindow.h"

class Window : public DemoMainWindow
{
    Q_OBJECT
public:
    Window();
    Qtitan::Grid* m_grid;
    QCheckBox* m_autoWidthCheck;
    QCheckBox* m_fastScrollCheck;
private:
public slots:
    void autoWidthStateChanged(int state);
    void fastScrollChanged(int state);
};


class SummaryDemoModel: public QAbstractItemModel 
{    
    Q_OBJECT
public:   
    SummaryDemoModel(QObject *parent = 0);
    virtual ~SummaryDemoModel();   
    virtual QVariant headerData(int section, Qt::Orientation orientation,
        int role = Qt::DisplayRole) const;
    virtual QModelIndex parent(const QModelIndex &child) const;  
    virtual bool hasChildren(const QModelIndex &parent) const;   
    virtual int rowCount(const QModelIndex &parent = QModelIndex()) const;  
    virtual int columnCount(const QModelIndex &parent = QModelIndex()) const;   
    virtual QModelIndex index(int row, int column, const QModelIndex &parent = QModelIndex()) const;
    virtual QVariant data(const QModelIndex &index, int role = Qt::DisplayRole) const;
    virtual bool setData(const QModelIndex &index, const QVariant &value, int role = Qt::EditRole);
    virtual Qt::ItemFlags flags(const QModelIndex &index) const;
private:
    struct DataItem
    {
        bool v0;
        int v1;
        QString v2;
        QString v3;
        QDate v4;
        DataItem() : v0(false), v1(0) {}
    };
    QVector<DataItem> m_values;
};

#endif
