
#include <QResizeEvent>
#include <QPainter>
#include <QHBoxLayout>

#include "demomainwindow.h"

DemoMainWindow::DemoMainWindow(const QString& productName)
: QWidget(), m_demoWidget(0), m_productName(productName)
{
}

void DemoMainWindow::setDemoWidget(QWidget* widget, QWidget* settings)
{
    m_demoWidget = widget;
    m_settings = settings;
    QHBoxLayout* hl = new QHBoxLayout(this);
    hl->addWidget(m_demoWidget, m_settings != 0 ? 1 : 0);
    if (m_settings != 0)
        hl->addWidget(m_settings, 0, Qt::AlignTop);
    hl->setContentsMargins(20, 90, 20, 40);
    setLayout(hl);
    m_demoWidget->raise();
}

void DemoMainWindow::paintEvent(QPaintEvent* /*event*/)
{
    QPainter painter(this);

    QRect r(QPoint(0, 0), size());
    r.setHeight(70);
    painter.fillRect(r, QColor(0xFF404040));

    QFont f = painter.font();
    f.setPixelSize(20);
    f.setBold(true);
    painter.setFont(f);
    painter.setPen(QColor(0xFFFFFFFF));
    painter.drawText(20, 40, m_productName);

    r.setTop(r.height());
    r.setHeight(size().height() - r.height());
    painter.fillRect(r, QColor(0xFFFFFFFF));
}
