
#ifndef QTN_DBGRIDBANDEDTABLEVIEW_H
#define QTN_DBGRIDBANDEDTABLEVIEW_H

#include <QtSql>
#include "QtnDBGrid.h"
#include "QtnGridBandedTableView.h"

namespace Qtitan
{
    class QTITAN_EXPORT DBGridBandedTableView: public GridBandedTableView
    {
    public:
        DBGridBandedTableView(DBGrid* grid);
        virtual ~DBGridBandedTableView();
        void setDatabase(const QSqlDatabase& dataBase);
        const QSqlDatabase& dataBase() const;
        void setTableName(const QString& tableName);
        const QString& tableName() const;
        static DBGridBandedTableView* create(DBGrid* grid);
    private:
        bool connect();
        QSqlDatabase m_dataBase;
        QString m_tableName;
        QSqlTableModel* m_sqlModel;
    };
}; //namespace Qtitan

#endif //QTN_DBGRIDBANDEDTABLEVIEW_H

